Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186455 - Submission of a patch for non-sequential LUN mapping
Summary: Submission of a patch for non-sequential LUN mapping
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Coughlan
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2006-03-23 17:53 UTC by Petros Koutoupis
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 14:00:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
patch for Xyratex products and support for sparseluns (deleted)
2006-03-23 17:53 UTC, Petros Koutoupis
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Petros Koutoupis 2006-03-23 17:53:41 UTC
Description of problem:

I do not know where to submit such a thing but I wish to submit a patch
regarding some of our company's storage products.  This is for non-sequential
LUN-mapping on the 2.4 kernel.  An edit to the scsi_scan.c file and I was hoping
that maybe this would be entered in an update 7 of some sort.  If this is not
the place...please let me know where to forward this to. This is for additional
XYRATEX Raid products.

Comment 1 Petros Koutoupis 2006-03-23 17:53:41 UTC
Created attachment 126556 [details]
patch for Xyratex products and support for sparseluns

Comment 2 Tom Coughlan 2006-03-24 14:05:57 UTC
We will plan to get this into U8. 

Comment 3 Ernie Petrides 2006-04-22 09:00:44 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.9.EL).


Comment 6 Red Hat Bugzilla 2006-07-20 14:00:28 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.